Bug 1125434 - mariadb update attempts to install /etc/my.cnf with "placeholders" intact
Summary: mariadb update attempts to install /etc/my.cnf with "placeholders" intact
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 20:03 UTC by Michal Jaegermann
Modified: 2014-08-21 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 22:20:27 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2014-07-31 20:03:42 UTC
Description of problem:

A new /etc/my.cnf file which comes with the latest update contains entries like:

log-error=@LOG_LOCATION_COMPAT@
pid-file=@PID_FILE_DIR_COMAPT@/@DAEMON_NAME_COMPAT@.pid
!includedir @sysconfdir@/my.cnf.d

It does not look like that this is going to fly.  On an update, fortunately, this show up in /etc/my.cnf.rpmnew and an old configuration file has corresponding entries which look saner.

Version-Release number of selected component (if applicable):
mariadb-10.0.12-5.fc22

Comment 1 Honza Horak 2014-08-04 10:41:14 UTC
Thanks for reporting, we'll fix this asap.

Comment 2 Michal Jaegermann 2014-08-21 22:20:27 UTC
AFAICS this is fixed and only a status of this report is not updated.


Note You need to log in before you can comment on or make changes to this bug.